@import url('https://fonts.googleapis.com/css2?family=LINE+Seed+JP:wght@400;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Michroma&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+JP:wght@300;400;500;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Noto+Serif+JP:wght@200..900&display=swap');

html,
body,
a,
p,
ul,
li,
h1,
h2,
h3,
h4,
h5,
h6,
figure,
dl,
dt,
dd {
  margin: 0;
  padding: 0;
}

* {
  box-sizing: border-box;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
  tap-highlight-color: rgba(0, 0, 0, 0);
  outline: none;
}


@font-face {
  font-family: 'glitch';
  src: url(../font/glitch.ttf);

}



body {
 font-family:  YakuHanJP,"LINE Seed JP", sans-serif;
  font-weight: 700;
  font-style: normal;
  color: #fff;
  text-align: center;
  background: #000;
  overflow-x: hidden;
  -webkit-touch-callout: none;                
}



@keyframes back-anime {
  from {
    background-position: 0 0;
  }

  to {
    background-position: 280px -245px;
  }
}

img {
  display: block;
  width: 100%;
  height: auto;
  font-size: 0;
  pointer-events: none;
  user-select: none;
}

a {
  color: inherit;
  text-decoration: none;
}

li {
  list-style-type: none;
}

.youtube {
  width: 100%;
  position: relative;
  padding-top: 56.25%;
}

.youtube iframe {
  width: 100% !important;
  height: 100% !important;
  position: absolute;
  top: 0;
  right: 0;
}

.sp {
  display: none;
}


.video-back:after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    background-image: radial-gradient(#111 30%, transparent 31%), radial-gradient(#111 30%, transparent 31%);
    background-size: 4px 4px;
    background-position: 0 0, 2px 2px;
}
.video-back {
    width: 100%;
    height: 100lvh;
  
    position: fixed;
    top: 0%;
    z-index: -1;
   
}

.video-back video{
    width: 100%;
    height: 100%;
      object-fit: cover;
    object-position: center;
    opacity: 0.6;
}

.nav-btn {
  width: 60px;
  height: 60px;
  position: fixed;
  top: 20px;
  right: 20px;
  z-index: 9999;
  
}

.nav-btn p {
  width: 100%;
  height: 100%;
  position: relative;
  filter: drop-shadow(0 0 2px #00a2ff) drop-shadow(0 0 4px #00a2ff);
}

.nav-btn span {
  width: 40px;
  height: 2px;
  position: absolute;
  left: 10px;
  background: #fff;
  transition-duration: 0.2s;
}

.nav-btn span:nth-of-type(1) {
  top: 20px;
}

.nav-btn.close span:nth-of-type(1) {
  top: calc(50% - 1px);
  transform: rotate(45deg);
}

.nav-btn span:nth-of-type(2) {
  top: 50%;
  margin-top: -1px;
}

.nav-btn.close span:nth-of-type(2) {
  opacity: 0;
  transform: translateX(-20%);
}

.nav-btn span:nth-of-type(3) {
  bottom: 20px;
}

.nav-btn.close span:nth-of-type(3) {
  bottom: calc(50% - 1px);
  transform: translateY(0) rotate(-45deg);
}

nav {
  width: 100%;
  height: 100%;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 999;
  font-size: 32px;
  background: rgba(0, 0, 0, .8);
  opacity: 0;
  transform: translateY(-101%);
  transition-duration: 0.6s;
  overflow-y: scroll;
  overscroll-behavior-y: contain;
  -ms-overflow-style: none;
  scrollbar-width: none;
}

nav.open {
  opacity: 1;
  transform: translateY(0%);
}

nav::-webkit-scrollbar {
  display: none;
}

.nav-inner {
  display: flex;
  width: 100%;
  min-height: 100vh;
  flex-flow: column;
  justify-content: center;
  align-items: center;
  padding: 40px 0;
}

nav li {
  margin: 28px 0;
}

nav a{
    display: block;
    width: fit-content;
    margin: 0 auto;
    position: relative;
     font-family: "uniwars", sans-serif;
font-weight: 600;
font-style: normal;
}
nav a span:nth-child(1){
    background: linear-gradient(0deg, #00a2ff 0%, #fff 50%,#fff 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
    position: relative;
    z-index: 2;
}
nav a span:nth-child(2){
   position: absolute;
    top: 0.1em;
    left: calc(50% + 0.1em);
    transform: translateX(-50%);
    color: #000;
    text-shadow: 0 0 20px #00a2ff;
    mix-blend-mode: screen;
    -webkit-text-stroke: 1px #053a8a;
    white-space: nowrap;
}

.inner{
    width: 85%;
    max-width: 720px;
    margin: 0 auto;
}
#top {
  display: flex;
  width: 100%;
  height: 100dvh;
    min-height: 420px;
  position: relative;
  justify-content: center;
  align-items: center;
  padding-top: 0;
}

#top h1 {
max-width: 720px;
 width: 90%;
  height: 90%;
  opacity: 0;
}
#top h1 img{
    width: 100%;
    height: 100%;
    object-fit: contain;
}

#top.fadein h1 {
  animation:  h1-anime 1s forwards ease;
}

/* 登場：ふわっと拡大 */
@keyframes h1-anime {
  0% { transform: scale(1.4);opacity: 0; }
  100% { transform: scale(1);opacity: 1; }
}
#top.fadein h1 img{
    animation: shining-flash 0.05s 8 forwards ease;
}
@keyframes shining-flash {
  0%, 100% { opacity: 1; }
  50% { opacity: 0.2; }
}
#top .copyright {
  position: absolute;
  bottom: 20px;
  right: 20px;
  font-size: 12px;
}

#top .scroll {
  position: absolute;
  bottom: 20px;
  left: 50%;
  z-index: 4;
  transform: translateX(-50%);
}

#top .scroll-line {
  display: block;
  width: 1px;
  height: 60px;
  position: relative;
  overflow: hidden;
  margin: 0 auto;
}

#top .scroll-line:after {
  content: "";
  display: block;
  width: 100%;
  height: 100%;
  background: #ffffff;
  animation: scroll-anime 1s ease-in infinite
}

@keyframes scroll-anime {
  from {
    transform: translateY(-100%)
  }

  to {
    transform: translateY(100%)
  }
}


section:not(#top) {
  padding-top: 120px;
}

h2 {
  width: 100%;
  position: relative;
 font-family: "uniwars", sans-serif;
font-weight: 600;
font-style: normal;
  font-size: 40px;
  color: #fff;
  text-align: center;

    line-height: 1;

  margin-bottom: 40px;
}

h2 span:nth-child(1){
    background: linear-gradient(0deg, #00a2ff 0%, #fff 50%,#fff 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
    position: relative;
    z-index: 2;
}
h2 span:nth-child(2){
   position: absolute;
    top: 0.1em;
    left: calc(50% + 0.1em);
    transform: translateX(-50%);
    color: #000;
    text-shadow: 0 0 20px #00a2ff;
    mix-blend-mode: screen;
    -webkit-text-stroke: 1px #053a8a;
}
#event .event-copy {
  
  font-size: 24px;
  font-weight: 700;
  line-height: 2.2;
  margin-bottom: 28px;
    font-family: "Noto Serif JP", serif;
  font-weight: 700;
}

#event .event-info {
  font-size: 32px;
}

#event .event-info span {
  display: block;
}

#event .event-info span:nth-child(1) {
   
  font-size: 180%;
  margin-bottom: 0.4em;
}

#event .event-info span:nth-child(2) {
  font-size: 320%;
  font-weight: 300;
}

#event .event-info span:nth-child(3) {
  font-size: 100%;
    
}

#event .event-info span:nth-child(4) {
  font-size: 80%;
  margin-top: 0.2em;
}

#event .event-info span:nth-child(5) {
  font-size: 55%;
  margin-top: 0.4em;
font-weight: 300;
}

#event .event-info span small {
  font-size: 60%;
}



#lineup p {
  
  font-size: 24px;
  font-weight: 700;
  line-height: 1.8;
  margin-bottom: 42px;
}

#lineup p:last-child{
    margin-bottom: 0;
}

.beatnation{
     width: 85%;
    max-width: 720px;
    margin: 0 auto;
}
.beatnation span{
    display: block;
    width: 100%;
    margin: 24px auto 0;
    position: relative;
    font-size: 28px;
}

.beatnation span:before{
    content: "";
    display: block;
    position: absolute;
    top:0;
    left:0;
    width:10px;
    height:100%;
   border-top: solid 2px #fff;
    border-bottom: solid 2px #fff;
    border-left: solid 2px #fff;
}
.beatnation span:after{
    content: "";
    display: block;
    position: absolute;
    top:0;
    right:0;
    width:10px;
    height:100%;
   border-top: solid 2px #fff;
    border-bottom: solid 2px #fff;
    border-right: solid 2px #fff;
}

#ticket li{
    margin-bottom: 40px;
}

.ticket-main{
    display: flex; 
    align-items: center;
    justify-content: space-between;
    position: relative;
    font-size: 28px;
}

#ticket .seat{
    z-index: 2;
    position: relative;
    
    padding-right: 6px;
    flex-shrink: 0;
    
}
#ticket .seat small{
    font-size: 70%;
}
#ticket p.line{
   flex: 1;              /* 竊先ｮ九ｊ蟷�ｒ蜈ｨ驛ｨ菴ｿ縺� */
    height: 1px;          /* 邱壹�螟ｪ縺� */
    background: #ffff;
   
}

#ticket .price{
  
     padding-left: 6px;
    z-index: 2;
    flex-shrink: 0;
}
#ticket .price small{
    font-size: 60%;
}


.tokuten{
    font-size: 18px;
    margin-top: 12px;
}
.tokuten small{
    font-weight: 400;
    font-size: 14px;
}

#ticket aside{
    font-size: 14px;
    font-weight: 400;
    margin-bottom: 40px;
}
.common-btn {
  display: flex;
  width: 320px;
  height: 56px;
  justify-content: center;
  align-items: center;
  text-shadow: 0 0 1px #00a2ff, 0 0 3px #00a2ff, 0 0 6px #00a2ff, 0 0 10px #00a2ff, 0 0 20px #00a2ff, 0 0 40px #00a2ff;
  border-radius: 1000px;
  transition-duration: 0.2s;
  margin: 0 auto;
  background: rgba(0,125,255,.3);
    position: relative;
}

.common-btn.hover {
  opacity: 0.5;
}

#goods p{
    font-size: 24px;
    font-weight: 400;
}


#access h3 {
  font-size: 40px;
  font-weight: 400;
  margin-bottom: 40px;
}

#access .access-info {
  font-size: 20px;
  line-height: 1.5;
  text-align: center;
    font-weight: 400;
}

#access .map {
  height: 540px;
  margin-bottom: 40px;
}

#access .map iframe {
  width: 100%;
  height: 100%;
}

#access .guudeline {
  margin-top: 100px;
}

#access .guudeline h4 {
  font-size: 32px;
  font-weight: 400;
  text-align: center;
  margin-bottom: 40px;
}

#access .guudeline p {
  width: 85%;
  max-width: 720px;
  font-size: 16px;
  font-weight: 400;
  line-height: 1.4;
  text-align: justify;
  margin: 0 auto;
}

footer {
  font-size: 12px;
  padding: 100px 0 60px;
}



@media screen and (max-width: 896px) {
  .pc {
    display: none;
  }

  .sp {
    display: block;
  }

  body:after {
    background-size: 140px auto;

  }

  .nav-btn {
    width: 48px;
    height: 48px;
    position: fixed;
    top: 10px;
    right: 10px;
  }

  .nav-btn span {
    width: 36px;
    left: 6px;
  }

  .nav-btn span:nth-of-type(1) {
    top: 16px;
  }

  .nav-btn span:nth-of-type(3) {
    bottom: 16px;
  }

  nav {

    font-size: 28px;
  }

  nav li {
    margin: 24px 0;
  }

  


  section:not(#top) {
    padding-top: 80px;
  }

  h2 {
 font-size: 24px;
  margin-bottom: 28px;
}


#event .event-copy {
  
  font-size: 18px;
  margin-bottom: 28px;
}

#event .event-info {
  font-size: 16px;
}

#event .event-info span {
  display: block;
}

#event .event-info span:nth-child(1) {
  margin-bottom: 1em;
}




#lineup p {
  
  font-size: 18px;
  font-weight: 700;
  line-height: 1.8;
  margin-bottom: 42px;
}

#lineup p:last-child{
    margin-bottom: 0;
}

.beatnation{
     width: 85%;
}
.beatnation span{
    margin: 16px auto 0;
    font-size: 16px;
}

#ticket li{
    margin-bottom: 28px;
}

.ticket-main{
    font-size: 17px;
}
    #ticket li:nth-child(2) .ticket-main small{
        letter-spacing: -0.08em;
        font-size: 60%;
        transform: scale(1,1.1);
        display: inline-block;
        transform-origin: bottom;
    }
#ticket .seat{
    z-index: 2;
    position: relative;
    padding-right: 10px;
    flex-shrink: 0;
    
}

.tokuten{
    font-size: 14px;
    margin-top: 12px;
}
.tokuten small{
    font-size: 10px;
}

#ticket aside{
    font-size: 10px;
    margin-bottom: 40px;
}
.common-btn {
  width: 280px;
  height: 48px;
 font-size: 14px;
}

#goods p{
    font-size: 16px;
}


#access h3 {
  font-size: 24px;
  font-weight: 400;
  margin-bottom: 28px;
}

#access .access-info {
  font-size: 14px;
  line-height: 1.5;
  text-align: center;
}

#access .map {
  height: 240px;
  margin-bottom: 28px;
}

#access .map iframe {
  width: 100%;
  height: 100%;
}

#access .guudeline {
  margin-top: 40px;
}

#access .guudeline h4 {
  font-size: 24px;
  margin-bottom: 28px;
}

#access .guudeline p {
  font-size: 12px;
}

footer {
  font-size: 12px;
  padding: 40px 0 28px;
}
}


